#include "token.h"
#include "bool.h"
#include "elif.h"
#include "str.h"
#include <stdlib.h>

token *token_head = NULL;
token *token_start = NULL;

int create_token_from_line(int start, int end, BOOL include, unsigned char type,
                           BOOL is_const) {
  char *str = get_middle(char_line, start, end, include);
  if (!str)
    return 1;
  token *t = (token *)malloc(sizeof(token));
  if (!t) {
    free(str);
    return 2;
  }
  if (is_const)
    t->value = str;
  if (!token_start)
    token_head = t;
  elif (!token_head) token_start->chain = token_head = t;
  else {
    token_head->chain = t;
    token_head = t;
  }
  return 0;
}
