LOGO = """   _____            _                      
  / ____|          | |                     
 | |    _   _ _ __ | | __ _ _ __ __ ___  __
 | |   | | | | '_ \| |/ _` | '__/ _` \ \/ /
 | |___| |_| | |_) | | (_| | | | (_| |>  < 
  \_____\__,_| .__/|_|\__,_|_|  \__,_/_/\_\\
             | |                           
   ____  __  | |_____  _                   
  / __ \|  \/  |  __ \| |                  
 | |  | | \  / | |__) | |                  
 | |  | | |\/| |  ___/| |                  
 | |__| | |  | | |    | |____              
  \____/|_|  |_|_|    |______|             
"""

COLOR_CODES = {
    "red": 31,
    "green": 32,
    "yellow": 33,
    "blue": 34,
    "magenta": 35,
    "cyan": 96
}


def color_print(color_name: str, text: str, underline: bool = False):
    print(
        f'\033[{4 if underline else ""};{COLOR_CODES[color_name]}m{text}\033[0m', end='')


def color_println(color_name: str, text: str, underline: bool = False):
    color_print(color_name, text, underline)
    print()
