#!/usr/bin/python3

from sys import path, argv

path.append(__file__ + '_src/py')
path.append(__file__.removesuffix('main.py') + 'ompl_src/py')


def main():
    output.color_println('cyan', output.LOGO)
    if len(argv) < 2:
        error_class.call_error('script_not_specified')
    sl.loader(argv[1])
    a = cdll_class.C_Library('lexer', ctypes.c_int)
    #print(a.other('create_token_from_line', ctypes.c_int))
    a.Main()


if __name__ == '__main__':
    import output
    import error_class
    import error_list
    import script_loader as sl
    import cdll_class
    import ctypes
    import os
    main()
